﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Managing Workflow Approvals</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Workflow Approvals</h1>
        <p>This section contains conceptual and procedural information of managing workflow approvals. The approver can perform various workflow tasks, such as searching, approving, rejecting, modifying, and reassigning.</p>
        <p>Partial modification of workflow can also be performed where the entire workflow assigned to the respective approver can be modified. A user or usergroup who configured the workflow can access and edit workflows.</p>
        <p>To manage workflow approvals:</p>
        <ol>
            <li>
                <p>Go to&#160;<strong>Admin &gt;&#160;Workflow&#160;&gt; Workflow&#160;Approval</strong>.</p>
            </li>
            <li>
                <p>Execute a search operation to locate and select the required workflows.<br />Based on the search criteria that you enter in the search or advanced search fields; the search results are displayed.<br />For information about parameters, see <a href="#Workflow_Approval_List_Parameters">Workflow Approval List Parameters</a>.</p>
            </li>
            <li>
                <p>In the <strong>Actions</strong> columns, you can perform any of the following tasks:</p>
                <ul>
                    <li>
                        <p><strong>Approving Workflows</strong>:&#160;You can approve the workflows that are in pending approval status.<br />Click the <strong>Accept </strong>icon&#160;&#160;inline with the workflow name under&#160;<strong>Action</strong><br />Specify the relevant comments in the Comments pop-up window and click&#160;<strong>Submit</strong>. </p>
                        <p>After approving a workflow, the accepted and loaded confirmation message is displayed and status of the workflow changes from 'Pending for Approval' to 'Active'. The workflow with&#160;<strong>Active</strong>&#160;status is ready for use and applied to relevant objects.&#160;<br />If you approve the workflow with error, the workflow status changes to 'Failed’. It is introduced in release v5.4.0.</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">If an error message displays while approving the workflows, watch the <a href="https://s3.amazonaws.com/cdn.freshdesk.com/data/helpdesk/attachments/production/43203616819/original/Failed Workflow.mp4?response-content-type=video%2Fmp4&amp;X-Amz-Algorithm=AWS4-HMAC-SHA256&amp;X-Amz-Credential=AKIAS6FNSMY2XLZULJPI%2F20211230%2Fus-east-1%2Fs3%2Faws4_request&amp;X-Amz-Date=20211230T100942Z&amp;X-Amz-Expires=300&amp;X-Amz-SignedHeaders=host&amp;X-Amz-Signature=2eaf4cc070d36daa9c12224f1e4ec6b22f2ede6399f1d234460b40d88646f9b9">Troubleshooting Video</a> to resolve it.</p>
                        </div>
                    </li>
                    <li>
                        <p><strong>Rejecting Workflows</strong> :&#160;You can reject the workflows which are in 'Pending for Approval' status. Rejecting a Workflow, changes the status of a workflow to 'Inactive'.<br />Click the <strong>Reject </strong>icon inline with the workflow name under&#160;<strong>Action</strong>&#160;column.<br />Specify the relevant comments in the Comments pop-up window and click&#160;<strong>Submit</strong>. After rejecting a workflow, status of the workflow changes from 'Pending for Approval' to 'Inactive'.</p>
                    </li>
                    <li>
                        <p><strong>Discontinuing Workflows</strong>: You can discontinue a workflow that is already sent for approval (with status 'Pending for Approval') and changes the status to <strong>Composing</strong>. To modify the Workflow, it must be in the&#160;<strong>Composing</strong>&#160;state.</p>
                        <p>Click the <strong>Discontinue</strong> icon&#160;inline with the workflow name under&#160;<strong>Action</strong>&#160;column. If there is a need to further modify a workflow, which is sent for approval.<br />In the Confirmation pop-up window, click&#160;<strong>Yes</strong>&#160;to discontinue the workflow.<br />"A message indicating workflow is discontinued is displayed."</p>
                    </li>
                </ul>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If the workflow that you created does not display in the list of Security System page in&#160;Access Add workflow and Access Remove Workflow parameters, watch the&#160;<a href="https://s3.amazonaws.com/cdn.freshdesk.com/data/helpdesk/attachments/production/43203616924/original/Workflow not listed in Security System_V1.mp4?response-content-type=video%2Fmp4&amp;X-Amz-Algorithm=AWS4-HMAC-SHA256&amp;X-Amz-Credential=AKIAS6FNSMY2XLZULJPI%2F20211230%2Fus-east-1%2Fs3%2Faws4_request&amp;X-Amz-Date=20211230T104528Z&amp;X-Amz-Expires=300&amp;X-Amz-SignedHeaders=host&amp;X-Amz-Signature=66aa1f2713d898bb6521852e7ead1cd28bffc242131555a94af411bfe1c95d0a">Troubleshooting Video</a> to resolve it.</p>
        </div>
        <p><a name="Workflow_Approval_List_Parameters"></a>
        </p>
        <h3>Workflow Approval List Parameters</h3>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 166.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 594.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Column Name</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Workflow Name</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The workflow name.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Workflow Type</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The workflow type appears such as Parallel or Serial.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Status</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The&#160;current status of the workflow such as Pending Approval.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Version</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The&#160;current version number.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Owner</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The&#160;current owner of the workflow.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Created By</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The&#160;name of the user who created the workflow.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Updated By</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The&#160;name of the user who updated the workflow.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Updated Date</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The&#160;date by when the workflow updated.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Actions</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Select the required option from the following:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Click the&#160;<strong>Accept &#160;</strong>icon to accept the workflow.</p>
                                </li>
                                <li>
                                    <p class="table-text">Click the&#160;<strong>Reject</strong>&#160;icon to reject the workflow.</p>
                                </li>
                                <li>
                                    <p class="table-text">Click the <strong>Discontinue</strong>&#160;icon to discontinue the workflow.</p>
                                </li>
                                <li>
                                    <p class="table-text">Click the view icon to view the workflow in GUI Editor or XML Editor view.</p>
                                    <ul>
                                        <li>
                                            <p class="table-text">If the workflow is created using the GUI editor, it opens the workflow in UI editor. Select the required action from the top pane such as&#160;<strong>Accept</strong> or <strong>Reject</strong>.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">If the workflow is created using the XML editor, the relevant workflow opens in the XML editor.&#160;Select the required action such as&#160;<strong>Accept</strong> or <strong>Reject</strong>.</p>
                                            <p>Enter the required role name or description in the search field and click&#160;<strong>Search</strong>. You can also use the&#160;<strong>Advanced</strong>&#160;search option and search based on workflow owner (user and user group). Click&#160;<strong>Advanced</strong>, specify the required search parameter details and click&#160;<strong>Search</strong>.<br />The <strong>Workflow Approval List</strong>&#160;page displays the details.&#160;</p>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>If the workflow that you created does not display in the list of Security System page in&#160;Access Add workflow and Access Remove Workflow parameters, watch the&#160;<a href="https://s3.amazonaws.com/cdn.freshdesk.com/data/helpdesk/attachments/production/43203616924/original/Workflow not listed in Security System_V1.mp4?response-content-type=video%2Fmp4&amp;X-Amz-Algorithm=AWS4-HMAC-SHA256&amp;X-Amz-Credential=AKIAS6FNSMY2XLZULJPI%2F20211230%2Fus-east-1%2Fs3%2Faws4_request&amp;X-Amz-Date=20211230T104706Z&amp;X-Amz-Expires=300&amp;X-Amz-SignedHeaders=host&amp;X-Amz-Signature=7f522f3e6271def85061a0752d52a88a5ca1f3cd604fbd1fa9f011e17da2c4d6">Troubleshooting Video</a>&#160;to resolve it.</p>
        <h2 id="ManagingWorkflowApprovals-ConfiguringAutoApprovalforWorkflows">Configuring Auto Approval for Workflows</h2>
        <p>You can enable or disable the Auto Approval functionality for the <strong>Bulk Uploading Multi-Users with Access</strong> or <strong>Role Requests&#160;</strong>types in the workflow.</p>
        <p>To configure the auto approval, go to <strong>Admin &gt; Global Configurations &gt; Request</strong> and select the&#160;<strong>Auto Approve Workflow</strong> for Multiuser request upload.It&#160;allows you to select the <strong>No Workflow</strong>&#160;option or appropriate workflow for auto-approval of multi-user request upload.</p>
        <p>Following options are available for the&#160;<strong>Auto Approve Workflow for Multiuser request upload</strong> parameter:</p>
        <ul>
            <li><b>No Workflow</b>:&#160;Enables&#160;the bulk upload (access) and multi-user request to work according to the workflow defined in the Security System and the bulk upload (role) request based on the Add/Remove role workflow.</li>
            <li><b>&lt;Auto Approve Workflow Name&gt;</b>:&#160;Enables the bulk upload approval process (for both Access and Role) and multi-user request to work based on this workflow.&#160;If an upload is successful, then all the requests are auto approved.&#160;The request will not be submitted if a manager is not assigned to the user.</li>
            <li>
                <p><strong>Auto Revoke Account Workflow:</strong>&#160;Use this option for revoke account task. You must add next to next escalation manager. If the request is not approved within specified time by manager and then escalation manager, it is auto-approved, and the revoke account task will get created.</p>
            </li>
        </ul>
        <p>To configure an Auto Approval workflow:&#160;</p>
        <ol>
            <li>
                <p>Create an auto-approval workflow with an appropriate name. For example, AUTOAPPROVAL.<br /></p>
            </li>
            <li>
                <p>Add the following Workflow name in the <strong>externalconfig.properties</strong> file: <br /><label class="filename-path">sav.autoapprovalwfname=AUTOAPPROVAL</label>.</p>
            </li>
        </ol>
    </body>
</html>